Index: src/sas/calculator/sas_gen.py
===================================================================
--- src/sas/calculator/sas_gen.py	(revision b6627d95d435a7f25f17862e4ac78ae26bdb6393)
+++ src/sas/calculator/sas_gen.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -197,10 +197,7 @@
         """
         Evaluate a distribution of q-values.
-        * For 1D, a numpy array is expected as input:
-            evalDistribution(q) where q is a numpy array.
-        * For 2D, a list of numpy arrays are expected:
-            [qx_prime,qy_prime], where 1D arrays.
-        :param qdist: ndarray of scalar q-values or list [qx,qy]
-                      where qx,qy are 1D ndarrays
+
+        :param qdist: ndarray of scalar q-values (for 1D) or list [qx,qy]
+                      where qx,qy are 1D ndarrays (for 2D).
         """
         if qdist.__class__.__name__ == 'list':
@@ -911,6 +908,6 @@
 
     def set_sldms(self, sld_mx, sld_my, sld_mz):
-        """
-        Sets (|m|, m_theta, m_phi)
+        r"""
+        Sets (\|m\|, m_theta, m_phi)
         """
         if sld_mx.__class__.__name__ == 'float':
Index: src/sas/data_util/formatnum.py
===================================================================
--- src/sas/data_util/formatnum.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/data_util/formatnum.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -4,10 +4,10 @@
 Format values and uncertainties nicely for printing.
 
-:func:`format_uncertainty_pm`(v,err) produces the expanded format v +/- err.
-
-:func:`format_uncertainty_compact`(v,err) produces the compact format v(##),
+:func:`format_uncertainty_pm` produces the expanded format v +/- err.
+
+:func:`format_uncertainty_compact` produces the compact format v(##),
 where the number in parenthesis is the uncertainty in the last two digits of v.
 
-:func:`format_uncertainty`(v,err) uses the compact format by default, but this
+:func:`format_uncertainty` uses the compact format by default, but this
 can be changed to use the expanded +/- format by setting 
 format_uncertainty.compact to False.
Index: src/sas/data_util/uncertainty.py
===================================================================
--- src/sas/data_util/uncertainty.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/data_util/uncertainty.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -1,9 +1,8 @@
-"""
-
-Uncertainty propagation class, and log() and exp() functions.
+r"""
+Uncertainty propagation class for arithmetic, log and exp.
 
 Based on scalars or numpy vectors, this class allows you to store and 
 manipulate values+uncertainties, with propagation of gaussian error for
-addition, subtraction, multiplication, division, power, exp() and log().
+addition, subtraction, multiplication, division, power, exp and log.
 
 Storage properties are determined by the numbers used to set the value
@@ -11,6 +10,6 @@
 for inplace operations since numpy does not do automatic type conversion.
 Normal operations can use mixed integer and floating point.  In place
-operations (a *= b, etc.) create at most one extra copy for each operation.
-c = a*b by contrast uses four intermediate vectors, so shouldn't be used
+operations such as *a \*= b* create at most one extra copy for each operation.
+By contrast, *c = a\*b* uses four intermediate vectors, so shouldn't be used
 for huge arrays.
 """
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 765e47cad81945a63633aea3eeafeb1194ad1bae)
+++ src/sas/guiframe/gui_manager.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -570,7 +570,7 @@
     def on_batch_selection(self, event=None):
         """
-        :param event: contains parameter enable . when enable is set to True
-        the application is in Batch mode
-        else the application is default mode(single mode)
+        :param event: contains parameter enable. When enable is set to True
+            the application is in Batch mode otherwise the application is
+            in Single mode.
         """
         if event is not None:
@@ -2898,5 +2898,5 @@
 
         :param name: window_name in AuiPaneInfo
-        : return: AuiPaneInfo of the name
+        :return: AuiPaneInfo of the name
         """
         for panel in self.plot_panels.values():
Index: src/sas/guiframe/gui_statusbar.py
===================================================================
--- src/sas/guiframe/gui_statusbar.py	(revision 4342107f3bd35f77a49da1d5f837bd02d2b2e970)
+++ src/sas/guiframe/gui_statusbar.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -22,5 +22,4 @@
 CONSOLE_WIDTH = 500
 CONSOLE_HEIGHT = 300
-FRAME_ICON = wx.Icon(GUIFRAME_ICON.FRAME_ICON_PATH, wx.BITMAP_TYPE_ICO)
 
 if sys.platform.count("win32") > 0:
@@ -186,4 +185,6 @@
                 except:
                     try:
+                        FRAME_ICON = wx.Icon(GUIFRAME_ICON.FRAME_ICON_PATH,
+                                             wx.BITMAP_TYPE_ICO)
                         self.frame.SetIcon(FRAME_ICON)
                     except:
Index: src/sas/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/graphAppearance.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
+++ src/sas/guiframe/local_perspectives/plotting/graphAppearance.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -5,14 +5,8 @@
 Dialog for general graph appearance
 
-
-/**
-    This software was developed by Institut Laue-Langevin as part of
-    Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
-
-    Copyright 2012 Institut Laue-Langevin
-
-**/
-
-
+This software was developed by Institut Laue-Langevin as part of
+Distributed Data Analysis of Neutron Scattering Experiments (DANSE).
+
+Copyright 2012 Institut Laue-Langevin
 """
 
Index: src/sas/guiframe/panel_base.py
===================================================================
--- src/sas/guiframe/panel_base.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/panel_base.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -61,7 +61,7 @@
     def on_batch_selection(self, event):
         """
-        :param event: contains parameter enable . when enable is set to True
-        the application is in Batch mode
-        else the application is default mode(single mode)
+        :param event: contains parameter enable. When enable is set to True
+            the application is in Batch mode otherwise the application is
+            in Single mode.
         """
         self.batch_on = event.enable
@@ -69,5 +69,5 @@
         """
         return an xml node containing state of the panel
-         that guiframe can write to file
+        that guiframe can write to file
         """
         return None
Index: src/sas/models/BEPolyelectrolyte.py
===================================================================
--- src/sas/models/BEPolyelectrolyte.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/BEPolyelectrolyte.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -1,5 +1,3 @@
-"""    
- Provide F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))*(q^(2)+k2)\
-                       *(q^(2)-(12*h*C/b^(2)))
+"""
  BEPolyelectrolyte as a BaseComponent model
 """
@@ -12,14 +10,15 @@
         Class that evaluates a BEPolyelectrolyte.
         
-        F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))*(q^(2)+k2)\
-                       *(q^(2)-(12*h*C/b^(2))) 
+        F(x) = K/(4 pi Lb (alpha)^(2)) (q^(2)+k2)/(1+(r02)^(2)) (q^(2)+k2)\
+                        (q^(2)-(12 h C/b^(2)))
         
-        The model has Eight parameters: 
-            K        =  Constrast factor of the polymer
-            Lb       =  Bjerrum length
-            H        =  virial parameter
-            B        =  monomer length
-            Cs       =  Concentration of monovalent salt 
-            alpha    =  ionazation degree 
+        The model has Eight parameters::
+
+            K        = Constrast factor of the polymer
+            Lb       = Bjerrum length
+            H        = virial parameter
+            B        = monomer length
+            Cs       = Concentration of monovalent salt
+            alpha    = ionazation degree
             C        = polymer molar concentration
             bkd      = background
@@ -75,11 +74,11 @@
         """
             Evaluate  
-            F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))
-                *(q^(2)+k2)*(q^(2)-(12*h*C/b^(2)))
+            F(x) = K 1/(4 pi Lb (alpha)^(2)) (q^(2)+k2)/(1+(r02)^(2))
+                 (q^(2)+k2) (q^(2)-(12 h C/b^(2)))
         
             has 3 internal parameters :
-                   The inverse Debye Length: K2 = 4*pi*Lb*(2*Cs+alpha*C)
-                   r02 =1/alpha/Ca^(0.5)*(B/(48*pi*Lb)^(0.5))
-                   Ca = C*6.022136e-4
+                   The inverse Debye Length: K2 = 4 pi Lb (2 Cs+alpha C)
+                   r02 =1/alpha/Ca^(0.5) (B/(48 pi Lb)^(0.5))
+                   Ca = 6.022136e-4 C
         """
         Ca = self.params['c'] * 6.022136e-4
Index: src/sas/models/CoreMultiShellModel.py
===================================================================
--- src/sas/models/CoreMultiShellModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/CoreMultiShellModel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -170,6 +170,6 @@
         
         : return: (r, beta) where r is a list of radius of the transition points
-                beta is a list of the corresponding SLD values 
-        : Note: This works only for func_shell# = 2.
+            beta is a list of the corresponding SLD values
+        : Note: This works only for func_shell num = 2.
         """
         r = []
Index: src/sas/models/GuinierPorodModel.py
===================================================================
--- src/sas/models/GuinierPorodModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/GuinierPorodModel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -1,6 +1,4 @@
 """ 
-    I(q) = scale/q^s* exp ( - R_g^2 q^2 / (3-s) ) for q<= ql
-        = scale/q^m*exp((-ql^2*Rg^2)/(3-s))*ql^(m-s) for q>=ql
-    Guinier function as a BaseComponent model
+Guinier function as a BaseComponent model
 """
 from sas.models.BaseComponent import BaseComponent
@@ -11,6 +9,8 @@
     Class that evaluates a GuinierPorod model.
 
-    I(q) = scale/q^s* exp ( - R_g^2 q^2 / (3-s) ) for q<= ql
-        = scale/q^m*exp((-ql^2*Rg^2)/(3-s))*ql^(m-s) for q>=ql
+    Calculate::
+
+        I(q) = scale/q^s exp(-q^2 Rg^2 / (3-s) ) for q<= ql
+        I(q) = scale/q^m exp(-ql^2 Rg^2 / (3-s)) ql^(m-s) for q>=ql
     """
     def __init__(self):
Index: src/sas/models/MultiplicationModel.py
===================================================================
--- src/sas/models/MultiplicationModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/MultiplicationModel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -5,6 +5,6 @@
 #from sas.models.pluginmodel import Model1DPlugin
 class MultiplicationModel(BaseComponent):
-    """
-        Use for P(Q)*S(Q); function call must be in the order of P(Q) and then S(Q):
+    r"""
+        Use for P(Q)\*S(Q); function call must be in the order of P(Q) and then S(Q):
         The model parameters are combined from both models, P(Q) and S(Q), except 1) 'effect_radius' of S(Q)
         which will be calculated from P(Q) via calculate_ER(), 
@@ -109,5 +109,5 @@
         : return: (r, beta) where r is a list of radius of the transition points
                 beta is a list of the corresponding SLD values 
-        : Note: This works only for func_shell# = 2 (exp function).
+        : Note: This works only for func_shell num = 2 (exp function).
         """
         try:
Index: src/sas/models/PeakGaussModel.py
===================================================================
--- src/sas/models/PeakGaussModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/PeakGaussModel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -1,7 +1,5 @@
 #!/usr/bin/env python
 """ 
-    Model describes a Gaussian shaped peak including a flat background
-    Provide F(q) = scale*exp( -1/2 *[(q-q0)/B]^2 )+ background
-    PeakGaussModel function as a BaseComponent model
+PeakGaussModel function as a BaseComponent model
 """
 
@@ -12,7 +10,7 @@
    
     """
-        Class that evaluates a gaussian  shaped peak.
+        Class that evaluates a gaussian shaped peak with a flat background.
         
-        F(q) = scale*exp( -1/2 *[(q-qo)/B]^2 )+ background
+        F(q) = scale exp( -1/2 [(q-qo)/B]^2 )+ background
         
         The model has three parameters: 
@@ -56,5 +54,5 @@
     def _PeakGauss(self, x):
         """
-            Evaluate  F(x) = scale*exp( -1/2 *[(x-q0)/B]^2 )+ background
+            Evaluate  F(x) = scale exp( -1/2 [(x-q0)/B]^2 )+ background
            
         """
Index: src/sas/models/TwoPowerLawModel.py
===================================================================
--- src/sas/models/TwoPowerLawModel.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/models/TwoPowerLawModel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -1,7 +1,10 @@
 #!/usr/bin/env python
 """ 
-Provide I(q) = A*pow(qval,-1.0*m1) for q<=qc
-    =scale*pow(qval,-1.0*m2) for q>qc
 TwoPowerLaw function as a BaseComponent model
+
+Calculate::
+
+    I(q) = A pow(qval,-m1) for q<=qc
+    I(q) = scale pow(qval,-m2) for q>qc
 """
 
@@ -14,7 +17,10 @@
     Class that evaluates a TwoPowerLawModel.
 
-    I(q) = coef_A*pow(qval,-1.0*power1) for q<=qc
-        =C*pow(qval,-1.0*power2) for q>qc
-    where C=coef_A*pow(qc,-1.0*power1)/pow(qc,-1.0*power2).
+    Calculate::
+
+       I(q) = coef_A pow(qval,-power1) for q<=qc
+       I(q) = C pow(qval,-power2) for q>qc
+
+    where C=coef_A pow(qc,-power1)/pow(qc,-power2).
     
     List of default parameters:
Index: src/sas/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/perspectives/calculator/data_editor.py	(revision 49ab5d718dd7743a6a296e666dfb643183bc969d)
+++ src/sas/perspectives/calculator/data_editor.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -53,5 +53,5 @@
     """
     :param data: when not empty the class can
-                same information into a dat object
+        same information into a dat object
         and post event containing the changed data object to some other frame
     """
Index: src/sas/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/perspectives/calculator/model_editor.py	(revision 2d50115b2948c926e7f4e07cad27f3638c5df359)
+++ src/sas/perspectives/calculator/model_editor.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -89,5 +89,6 @@
     will create a file that cannot be compiled.  Should add the check to
     the write method or to the on_modelx method.
-          - PDB:April 5, 2015
+
+    - PDB:April 5, 2015
     """
     def __init__(self, parent=None, base=None, id=None, title='',
Index: src/sas/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/perspectives/fitting/fitpanel.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
+++ src/sas/perspectives/fitting/fitpanel.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -298,5 +298,5 @@
 
         :param m_dict: dictionnary made of model name as key and model class
-        as value
+            as value
         """
         self.model_list_box = dict
Index: src/sas/perspectives/fitting/fitproblem.py
===================================================================
--- src/sas/perspectives/fitting/fitproblem.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
+++ src/sas/perspectives/fitting/fitproblem.py	(revision ac7be54ccf932e813cbe6e41e05b682a1630a03e)
@@ -25,5 +25,5 @@
         """
         :param flag: bool.When flag is 1 get the computer smear value. When
-        flag is 0 ingore smear value.
+            flag is 0 ingore smear value.
         """
 
@@ -76,7 +76,7 @@
     def set_fit_data(self, data):
         """
-         Store of list of data and create  by create new fitproblem of each data
-         id , if there was existing information about model, this information
-         get copy to the new fitproblem
+        Store of list of data and create  by create new fitproblem of each data
+        id, if there was existing information about model, this information
+        get copy to the new fitproblem
         :param data: list of data selected
         """
@@ -202,5 +202,5 @@
         """
         :param flag: bool.When flag is 1 get the computer smear value. When
-        flag is 0 ingore smear value.
+            flag is 0 ingore smear value.
         """
         self._smear_on = flag
@@ -346,6 +346,5 @@
         """
         return data for the given fitproblem id
-        :param fid: is key representing a fitproblem. usually extract from data
-                    id
+        :param fid: key representing a fitproblem, usually extract from data id
         """
         if fid in self.iterkeys():
@@ -531,5 +530,5 @@
         """
         :param flag: bool.When flag is 1 get the computer smear value. When
-        flag is 0 ingore smear value.
+            flag is 0 ingore smear value.
         """
         self.smearer_enable = flag
